Package org.springframework.security.web.server.authentication.logout

# Class RedirectServerLogoutSuccessHandler

java.lang.Object
org.springframework.security.web.server.authentication.logout.RedirectServerLogoutSuccessHandler

All Implemented Interfaces:
  `ServerLogoutSuccessHandler`

public class RedirectServerLogoutSuccessHandler extends Object implements ServerLogoutSuccessHandler
Performs a redirect on log out success.

Since:
  5.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_LOGOUT_SUCCESS_URL`

## Constructor Summary

Constructors
Constructor
Description
`RedirectServerLogoutSuccessHandler()`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`onLogoutSuccess(WebFilterExchange exchange, org.springframework.security.core.Authentication authentication)`
Invoked after log out was successful
`void`
`setLogoutSuccessUrl(URI logoutSuccessUrl)`
The URL to redirect to after successfully logging out.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_LOGOUT_SUCCESS_URL

public static final String DEFAULT_LOGOUT_SUCCESS_URL

See Also:
  - Constant Field Values

## Constructor Details

### RedirectServerLogoutSuccessHandler

public RedirectServerLogoutSuccessHandler()

## Method Details

### onLogoutSuccess

public reactor.core.publisher.Mono<Void> onLogoutSuccess(WebFilterExchange exchange, org.springframework.security.core.Authentication authentication)
Description copied from interface: `ServerLogoutSuccessHandler`
Invoked after log out was successful

Specified by:
  `onLogoutSuccess` in interface `ServerLogoutSuccessHandler`
Parameters:
  `exchange` - the exchange
  `authentication` - the `Authentication`
Returns:
  a completion notification (success or error)

### setLogoutSuccessUrl

public void setLogoutSuccessUrl(URI logoutSuccessUrl)
The URL to redirect to after successfully logging out.

Parameters:
  `logoutSuccessUrl` - the url to redirect to. Default is "/login?logout".